# Uses of Enum Class
org.bukkit.Difficulty

Packages that use Difficulty
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.

## Uses of Difficulty in org.bukkit

Methods in org.bukkit that return Difficulty
Modifier and Type
Method
Description
`static @Nullable Difficulty`
Difficulty.`getByValue(int value)`
Deprecated.
Magic value
`@NotNull Difficulty`
World.`getDifficulty()`
Gets the Difficulty of the world.
`static Difficulty`
Difficulty.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Difficulty[]`
Difficulty.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit with parameters of type Difficulty
Modifier and Type
Method
Description
`void`
World.`setDifficulty(@NotNull Difficulty difficulty)`
Sets the Difficulty of the world.